<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
	<title>YUI Container - Using ContainerEffect (YUI Library)</title>

	<link type="text/css" rel="stylesheet" href="../../../build/reset-fonts-grids/reset-fonts-grids.css">

	<link rel="stylesheet" type="text/css" href="../../../docs/assets/dpSyntaxHighlighter.css">
	<link type="text/css" rel="stylesheet" href="../assets/style.css">
</head>

<body>

	<div id="doc3" class="yui-t5">
		<div id="hd">
			<a href="http://developer.yahoo.com/yui" id="logo"><div></div></a>
			<h1>YUI Container: Using ContainerEffect</h1>
		</div>

		<div id="bd">

					<div id="toc" class="yui-b">
			<ul>
				<li class="sect"><a href="../index.html">YUI Container: Tutorials</a></li>

<li class="item"><a href="../module/1.html">Module: Quickstart</a></li>
<li class="item"><a href="../overlay/1.html">Overlay: Quickstart</a></li>
<li class="item"><a href="../tooltip/1.html">Tooltip: Quickstart</a></li>
<li class="item"><a href="../tooltipmulti/1.html">Tooltip: One Tooltip, Many Elements</a></li>
<li class="item"><a href="../panel/1.html">Panel: Quickstart</a></li>
<li class="item"><a href="../skin/1.html">Panel: Skinning</a></li>
<li class="item"><a href="../panelskin/1.html">Panel: Advanced Skinning using CSS</a></li>
<li class="item"><a href="../panelwait/1.html">Panel: Creating a 'Loading' Popup</a></li>
<li class="item"><a href="../panelphotobox/1.html">PhotoBox: Subclassing Panel</a></li>
<li class="item"><a href="../panelresize/1.html">ResizePanel: Creating a Resizable Panel</a></li>
<li class="item"><a href="../dialog/1.html">Dialog Quickstart</a></li>
<li class="item"><a href="../simpledialog/1.html">SimpleDialog Quickstart</a></li>
<li class="item selected"><a href="1.html">Using ContainerEffect</a></li>
<li class="child active"><a href="1.html">Using the 'effect' Property</a></li>
<li class="child"><a href="2.html">Functional Example</a></li>
<li class="item"><a href="../overlaymanager/1.html">Using OverlayManager</a></li>
<li class="item"><a href="../keylistener/1.html">Using KeyListener</a></li>
			</ul>
		</div>
			<div id="yui-main">
				<div class="yui-b">
					<h1 class="first">Using the 'effect' Property</h1>

			<p>The ContainerEffect class allows Overlay and its subclasses to be configured with transitional animations that are activated when an Overlay is shown or hidden. For instance, an Overlay can easily be  made to fade in and out, or slide in and out of the viewport when the visibility of the Overlay is changed. The <em>effect</em> property takes an object literal or an array of object literals which define two fields: the predefined effect to use, and the duration of the animation.</p>

			<p>In this tutorial, we will create three Overlays and set them up to use the <em>effect</em> property in different ways. First, we will create a simple Overlay that fades in and out. The built-in ContainerEffect constant used for the fade animation is <em>YAHOO.widget.ContainerEffect.FADE</em>, so we will specify that as the "effect" property of our object literal. The duration should be 0.25 seconds, specified by the "duration" property of the literal:</p>

			<textarea name="code" class="JScript" cols="60" rows="1">
				YAHOO.example.container.overlay1 = 
					new YAHOO.widget.Overlay("overlay1", { xy:[150,100], 
														   visible:false, 
														   width:"300px",
														   effect:{effect:YAHOO.widget.ContainerEffect.FADE,duration:0.25} } );
			</textarea>

			<p>Our second Overlay shows how you can use  ContainerEffect's "SLIDE" constant. This Overlay looks exactly like the first one, but we will replace "FADE" with "SLIDE":</p>

			<textarea name="code" class="JScript" cols="60" rows="1">
				YAHOO.example.container.overlay2 = 
					new YAHOO.widget.Overlay("overlay2", { xy:[250,200], 
														   visible:false, 
														   width:"300px",
														   effect:{effect:YAHOO.widget.ContainerEffect.SLIDE,duration:0.25} } );
			</textarea>

			<p>Effects can also be specified as an array of transitions that will all execute simultaneously. For instance, an Overlay can be made to fade and slide in at the same time. When using the ContainerEffect class to configure your Overlay, chaining is not supported, so all animations will always execute at the same time. However, if you need to chain animations, the Animation utility allows you to do this using events. We will set up the third and final Overlay with an array of effects:</p>

			<textarea name="code" class="JScript" cols="60" rows="1">
				YAHOO.example.container.overlay3 = 
					new YAHOO.widget.Overlay("overlay3", { xy:[350,300], 
														   visible:false, 
														   width:"300px",
														   effect:[{effect:YAHOO.widget.ContainerEffect.FADE,duration:0.5},
																   {effect:YAHOO.widget.ContainerEffect.SLIDE,duration:0.5}] } );
			</textarea>
					<div id="stepnav">
						<a class="next" href="2.html">Continue to <em>Functional Example</em> &gt;</a>					</div>
				</div>
			</div>

		</div>

		<div id="ft">&nbsp;</div>
	</div>	

	<script src="../../../docs/assets/dpSyntaxHighlighter.js"></script>
	<script language="javascript"> 
		dp.SyntaxHighlighter.HighlightAll('code'); 
	</script>

</body>
</html>